Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Client_Strategy_Factory Class Reference

Abstract factory used by the client to manufacture various strategies used on the client-side. More...

`#include <Client_Strategy_Factory.h>`

Inheritance diagram for TAO_Client_Strategy_Factory

[legend]
Collaboration diagram for TAO_Client_Strategy_Factory:

[legend]
List of all members.

## Public Methods
| TAO_Client_Strategy_Factory (void)
| Constructor.
virtual | ~TAO_Client_Strategy_Factory (void)
| Destructor.
virtual ACE_Lock* | create_profile_lock (void)
virtual TAO_Transport_Mux_Strategy* | create_transport_mux_strategy (TAO_Transport *transport)
| Create the correct client request muxing strategy.
virtual TAO_Wait_Strategy* | create_wait_strategy (TAO_Transport *transport)
| Create the correct client <wait_for_reply> strategy.
virtual int | allow_callback (void)
| Does the client allow any form of callback?
virtual ACE_Lock* | create_ft_service_retention_id_lock (void)
| Create a lock to be used by the TAO_Fault_Tolerant_Service class to generate unique retention ids.

## Detailed Description

Abstract factory used by the client to manufacture various strategies used on the client-side.

## Constructor & Destructor Documentation

TAO_Client_Strategy_Factory::TAO_Client_Strategy_Factory ( | void )`[inline]`

| Constructor.

TAO_Client_Strategy_Factory::~TAO_Client_Strategy_Factory ( | void )`[virtual]`

| Destructor.

## Member Function Documentation

int TAO_Client_Strategy_Factory::allow_callback ( | void )`[virtual]`

| Does the client allow any form of callback? Reimplemented in TAO_Default_Client_Strategy_Factory.

ACE_Lock * TAO_Client_Strategy_Factory::create_ft_service_retention_id_lock ( | void )`[virtual]`

| Create a lock to be used by the TAO_Fault_Tolerant_Service class to generate unique retention ids. Reimplemented in TAO_Default_Client_Strategy_Factory.

ACE_Lock * TAO_Client_Strategy_Factory::create_profile_lock ( | void )`[virtual]`

| Create the lock for the forwarding Profile used by the <TAO_GIOP_Invocation::location_forward> and the <TAO_GIOP_Invocation::start>. Reimplemented in TAO_Default_Client_Strategy_Factory.

TAO_Transport_Mux_Strategy * TAO_Client_Strategy_Factory::create_transport_mux_strategy ( | TAO_Transport * transport )`[virtual]`

| Create the correct client request muxing strategy. Reimplemented in TAO_Default_Client_Strategy_Factory.

TAO_Wait_Strategy * TAO_Client_Strategy_Factory::create_wait_strategy ( | TAO_Transport * transport )`[virtual]`

| Create the correct client <wait_for_reply> strategy. Reimplemented in TAO_Default_Client_Strategy_Factory.

The documentation for this class was generated from the following files:

- Client_Strategy_Factory.h
- Client_Strategy_Factory.cpp